*{
    margin: 0px;
    padding: 0px;
}

html{
    scroll-behavior: smooth;
}

section{
    scroll-margin-top: 100px;
}

#about,#services,#contact{
    scroll-margin-top: 100px;
}


body{
    background-color: rgb(25, 4, 45);
    /* min-height: 100vh; */
    color:antiquewhite;
    background-image: url("bACK5.avif");
    background-size: cover;
    display: flex;
    flex-direction: column;
    gap: 100px;
}



nav{
    display: flex;
    justify-content: space-between;
    height: 100px;
    background-color:transparent;
    color: aliceblue;
    align-items: center;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    z-index: 1000;
    background-color: rgba(20,20,40,0.8);
    backdrop-filter: blur(10px);
}

.navName{
    font-size: 40px;
    font-weight: 500;
    margin-left: 50px;
    cursor: pointer;
    color: antiquewhite;
}

ul{
    display: flex;
    gap: 50px;
    margin-right: 50px;
}

ul li {
    list-style: none;
    overflow: hidden;
}

ul li a{
    color: antiquewhite;
    text-decoration: none;
    font-size: 25px;
    position: relative;
    width: max-content;
    display: inline-block;
}

ul li a:hover{
   transform: translateY(-5px);
   transition:0.5 all ease;
   color: aqua;
}


ul li a::before{
    content: "";
    height: 3px;
    width: 100%;
    position: absolute;
    bottom: 1px;
    background: #833AB4;
    background: linear-gradient(90deg, rgba(131, 58, 180, 1) 0%, rgba(253, 29, 29, 1) 50%, rgba(252, 176, 69, 1) 100%);
    transform:translateX(-100%);
    transition: 0.5s all ease;
}

ul li a:hover::before{
    transform: translateX(0%);
}

.send-email-btn{
    position: fixed;
    bottom: 30px;
    right: 30px;
    display:flex;
    align-items: center;
    gap:10px;
    padding: 12px 22px;
    border-radius: 30px;
    background: rgba(255,255,255,0,15);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    color:white;
    font-size:15px;
    font-weight: 600;
    text-decoration: none;
    border:1px solid rgba(255,255,255,0.3);
    box-shadow: 0 10px 25px rgba(0,0,0,0.4);
    z-index:9999;
    transition:all 0.3s ease;
}

.send-email-btn:hover{
    background: #6ae3ff;
    color: black;
    transform:translateY(-4px);
}

.send-email-btn i{
    font-size: 18px;
}

@media (max-width:768px){
    .send-email-btn{
        bottom:20px;
        right:20px;
        padding:10px 18px;
        font-size: 14px;
    }
}

main{
    display: flex;
    flex-direction: column;
    justify-content:flex-start;
    align-items: center;
    gap: 300px;
    margin-top: 0px;
    min-height: auto;
}

.home{
    display: flex;
    flex-direction: column;
    justify-content:center;
    /* align-items: center; */
    gap: 30px;
    text-align: left;
    width: 700px;
    min-height: 500px;
    margin-top: 100px;
    color: antiquewhite;
}

.home p{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 20px;
    text-align: left;
    
}

.home h1{
    font-size: 80px;
}
.buttons{
    display: flex;
    gap:50px;
    overflow-x: hidden;
    overflow-y: auto;
}




.btn1{
    width: 200px;
    height: 60px;
    border: 2px solid rgb(2, 0, 0);
    border-radius:50px;
    background-color: rgb(133, 25, 235);
    position: relative;
    z-index:1;
    color: antiquewhite;
    font-size: 20px;
    overflow-x: hidden;
}

.btn1::before{
    content:"";
    height: 100%;
    width:100%;
    background: #3F5EFB;
    background: #2A7B9B;
    background: linear-gradient(90deg, rgba(42, 123, 155, 1) 0%, rgba(87, 199, 133, 1) 50%, rgba(237, 221, 83, 1) 100%);
    position:absolute;
    top:0;
    left:0;
    z-index: -1;
    transform: translateX(-102%);
    transition:0.5s all ease;
    border-radius: 50px;
}

.btn:hover{
   transform: translateY(-2px);
   transition:0.5 all ease;
   color: aqua;
}


.btn1:hover::before{
    transform:translateX(0%);
    transition: all 0.5s ease;
}

.btn2{
    width: 200px;
    height: 60px;
    border-radius:50px;
    background-color: transparent;
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border: 2px solid rgb(248, 87, 0);
    position: relative;
    z-index:1;
    color: antiquewhite;
    font-size: 20px;
    overflow-x: hidden;
    overflow-y: auto;
    border: 2px solid black;
}

.btn{
    box-shadow:-1px 2px 10px rgba(0, 0, 0,0.5);
    font-size: 25px;
    font-family: 'Times New Roman', Times, serif;
}

.btn2::before{
    content:"";
    height: 100%;
    width:100%;
    background: #2A7B9B;
    background: linear-gradient(90deg, rgba(42, 123, 155, 1) 0%, rgba(87, 199, 133, 1) 50%, rgba(237, 221, 83, 1) 100%);
    position:absolute;
    top:0;
    left:0;
    z-index: -1;
    transform: translateX(-102%);
    transition:0.5s all ease;
    border-radius: 50px;
}

.btn2:hover::before{
    transform:translateX(0%);
    transition: 0.5s all ease;
}

.sliding-pic{
    text-align: center;
}

.sliding-pic h1{
    font-size: 40px;
    position: relative;
    display: inline-block;
}

.sliding-pic h1::after{
    content: "";
    position: absolute;
    width: 50%;
    bottom: -10px;
    left: 50px;
    background-color: aqua;
    height: 4px;
    
}


.container{
   margin-top: 50px;
   grid-template-columns: 600px 500px;
  grid-auto-rows: auto;
   display: grid;
   gap: 100px;
   box-shadow: -2px 2px 10px rgba(0, 0, 0,0.5);
}



.frame{
    width: 100%;
    height: 60vh;
    grid-column: 1/2;
    grid-row: 1;
    overflow-x: hidden;
    overflow-y: auto;
}

.slider{
    display: flex;
    transition: transform 1.8s cubic-bezier(0.22, 1, 0.36, 1);
    will-change: transform;
    height: 100%;
}


.image{
    width: 100%;
    height: 100%;
    object-fit:cover;
    border-radius: 20px;
    flex-shrink: 0;
}

.aboutme-content{
    display: flex;
    flex-direction: column;
    gap: 50px;
    text-align: left;
    color:antiquewhite;

}

.aboutme-content p{
    font-size: 23px;
}

.aboutme-content h2{
    font-size: 35px;
}

.tools{
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    justify-content: center;
    align-items: center;
}

.tools button{
    height: 40px;
    width: 80px;
    border-radius: 50px;
    border: 2px solid  #020024;
    background-color: antiquewhite;
    font-size: 15px;
}

.tools button:hover{
    transform: translateY(-5px);
    transition: 0.5s all ease-in-out;
    box-shadow:0 10px 25px rgba(106,277,255,0.6);
}

.download-resume{
    width: 150px;
    height: 50px;
    margin-left: 2px;
    font-size: 16px;
    padding: 12px 32px;
    border: none;
    border-radius: 30px;
    background: linear-gradient(135deg,#6ae3ff,#7a7cff);
    color:#000;
    font-size: 15px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.3s ease;
}

.download-resume:hover{
    cursor: pointer;
    transform:translateY(-10px);
    transition:0.5s all ease;
    box-shadow:0 10px 25px rgba(106,277,255,0.6);
}

/* .services{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
} */

.services{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    text-align: center;

}

.services h2{
    font-size:50px;
    color: antiquewhite;
    font-weight: 2000;
    font-size: 50px;
    position: relative;
    display: inline-block;
    width: fit-content;
    
}

.services h2::after{
    content:"";
    background-color: aqua;
    height:4px;
    width:50%;
    position: absolute;
    bottom: -2px;
    left:70px;
}


.expertese{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
    gap: 60px;
}

.service-grid{
    height: 400px;
    width: 400px;
    background-color: #3F5EFB;
    background: transparent;
    opacity: 4;
    border: 2px solid black;
    box-shadow: -10px 10px 10px rgba(0, 0, 0,0.5);
    text-align: center;
    color: antiquewhite;
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: space-evenly;
    align-items: center;
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border:1px solid rgba(255,255,255,0.2);

}

.service-grid:hover{
    transform: translateY(-15px);
    transition:0.5s all ease-in-out;
    box-shadow:0 10px 25px rgba(106,277,255,0.6);
}


.service-grid p{
    font-size: 20px;
}



.expertese i{
    font-size: 60px;
    height:100px;
    width: 100px;
    border-radius: 50%;
}

.service-grid:hover i{
    background-color: #869b2a;
}


.getintouch{
    display: grid;
    grid-template-columns: 600px 600px;
    gap: 100px;
    grid-auto-rows: auto;
}

.contact{
    display: flex;
    flex-direction: column;
    gap: 30px;
      width: 500px;
    padding: 30px;
    border-radius: 20px;
    background: rgba(255,255,255,0.08);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border:1px solid rgba(255,255,255,0.2);
    box-shadow:0 20px 40px rgba(0,0,0,0.4);
}



.box{
    height: 100px;
    width:500px;
    /* border:2px solid black; */
    display: flex;
    justify-content:flex-start;
    align-items: center;
    gap: 30px;
    box-shadow: -10px 10px 10px rgba(0, 0, 0,0.5);
}

.iconss{
    width: 80px;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    /* border:2px solid greenyellow; */
    border-radius: 50%;
}

.getintouch i{
    font-size: 60px;
    object-fit: contain;
    flex-shrink: 0;
}

.box:hover{
    transform: translateY(-10px);
    transition: 0.5s all ease-in-out;
    box-shadow:0 10px 25px rgba(106,277,255,0.6);
}


.box:hover .iconss{
    background-color:green;
}

.enquiry{
    width: 500px;
    padding: 30px;
    border-radius: 20px;
    background: rgba(255,255,255,0.08);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border:1px solid rgba(255,255,255,0.2);
    box-shadow:0 20px 40px rgba(0,0,0,0.4);
}

.enquiry h1{
    margin-bottom: 25px;
    color: white;
}

.enquiry form{
    display:flex;
    flex-direction: column;
    gap:18px;
}

.enquiry input,.enquiry textarea{
    background: transparent;
    border:1px solid rgba(255,255,255,0.35);
    border-radius: 12px;
    padding:14px 16px;
    color: white;
    font-size: 15px;
    outline: none;
}

.enquiry textarea{
    height:120px;
    resize: none;
}

.enquiry input::placeholder,
.enquiry textarea::placeholder{
    color:rgba(255,255,255,0.7)
}

.enquiry input:focus,
.enquiry textarea:focus{
    border-color: #6ae3ff;
    box-shadow:0 0 0 2px rgba(106,227,225,0.25)
}

.enquiry button{
    width: fit-content;
    margin-top: 10px;
    padding: 12px 32px;
    border: none;
    border-radius: 30px;
    background: linear-gradient(135deg,#6ae3ff,#7a7cff);
    color:#000;
    font-size: 15px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.3s ease;
}

.enquiry button:hover{
    transform:translateY(-3px);
    box-shadow:0 10px 25px rgba(106,277,255,0.6);
}

footer{
    width: 100%;
    /* height: 500px; */
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 50px;
    background: rgba(255,255,255,0.08);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border:1px solid rgba(255,255,255,0.2);
    box-shadow:0 20px 40px rgba(0,0,0,0.4);
    padding-top: 20px;
}

.first{
    display: flex;
    justify-content:space-evenly;
    align-items: center;
    gap:200px
}


.part1{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    text-align: center;
    gap: 30px;
}

.part1 .foot-icons{
    display: flex;
    gap:15px;
}



.part1 p{
    font-size: 20px;
}

.part2{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    gap: 10px;
    padding-bottom: 20px;
}


.part2 a{
    text-decoration: none;
    color: antiquewhite;
    text-align: center;
}
.part1 a{
    text-decoration: none;
    color: antiquewhite;
}

.part3{
    display: flex;
    flex-direction: column;
    gap:10px
}

footer a:hover{
    cursor: pointer;
    color: rgb(232, 150, 44);
    transform: translateX(5px);
    transition: 0.5s all ease;
}

footer p:hover{
    cursor: pointer;
    color: rgb(232, 150, 44);
    transform: translateX(5px);
    transition: 0.5s all ease;
}

.foot-icon{
    height: 80px;
    width: 80px;
    object-fit: contain;
    font-size: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
}

.foot-icon:hover{
    background-color: #869b2a;
    transform: translateY(-5px);
    transition: all 0.5s ease;
}

.last{
      background: rgba(255,255,255,0.08);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px); 
     border:1px solid rgba(255,255,255,0.2);
    box-shadow:0 20px 40px rgba(0,0,0,0.4); 
    font-size: x-large;

}